function socket(socketUrl) {
	var socket = io.connect(socketUrl);
	var userName = "";
	var memberId = localStorage.getItem("memberId");
	//连接成功回调
	socket.on('connect', function() {
		//console.log("socket连接成功！");
		var memberType = localStorage.getItem("memberType");
		if(memberType == 0) { //会员
			userName = localStorage.getItem("memberTruename");
		} else if(memberType == 1) {
			userName = localStorage.getItem("sellName");
		} else if(memberType == 2) {
			userName = localStorage.getItem("branchOfficeName");
		}
		//用户登录
		socket.emit('login', {
			userid: memberId,
			username: userName
		});
		//监听所有用户登录
		socket.on('login', function(o) {
			//console.log("登录监听：" + JSON.stringify(o));
		});
		//监听所有用户退出
		socket.on('logout', function(o) {
			//console.log("退出监听：" + JSON.stringify(o));
		});

		//监听服务端发送的广播消息 Sting参数与服务端emit第一个参数相同
		socket.on('message', function(obj) {
			//console.log(JSON.stringify(obj));
		});
		//监听服务端发送的个人消息 Sting参数与服务端emit第一个参数相同
		socket.on(memberId, function(obj) {
			//console.log("个人消息" + JSON.stringify(obj));
			receivMsg(obj);
		});
	});
	//失败回调
	socket.on('error', function(data) {

	});
	//成功重连回调
	socket.on('reconnect', function(data) {

	});

	//正在重连
	socket.on('reconnecting', function(data) {

	});

	//重连失败
	socket.on('reconnect_failed', function(data) {

	});

	//断开连接
	socket.on('disconnect', function() {

	});

	//发送消息回调
	window.addEventListener('sendMsgOne', function() {
		var sender = event.detail.sender; //发送方
		var type = event.detail.type; //消息类型 "type":"text"
		var content = event.detail.content; //内容
		var receiver = event.detail.receiver; //接收方
		var headImg = localStorage.getItem("memberAvatar");
		//console.log(memberId + "，" + receiver);
		var obj = {
			userid: memberId,
			username: userName,
			content: content,
			type: type,
			receiver: receiver,
			headImg: headImg //发送者头像
		};
		if(type=='text'){
			insert(receiver,userName,content,type,headImg,socket);
		}else if(type=='image'){
			uploadHead(content,receiver,userName,headImg,socket);
		}
	});
}
function uploadHead(imgPath,receiver,userName,headImg,socket) {
	//console.log("imgPath+" + imgPath);
	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		var imgData = getBase64Image(image);
		insert(receiver,userName,imgData,"image",headImg,socket)
		//console.log("imgData+" + imgData);
	}
}
//将图片压缩转成base64
function getBase64Image(img) {
	var canvas = document.createElement('canvas');
	var width = img.width;
	var height = img.height;
	if(width > height) {
		height = Math.round(height *= 500 / width);
		width = 500;
	} else {
		if(height > 500) {
			width = Math.round(width *= 500 / height);
			height = 500;
		}
	}
	canvas.width = width; //设置新的图片的宽度
	canvas.height = height; //设置新的图片的高度
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); //绘图
	var dataURl = canvas.toDataURL("image/png", 1);
	return dataURl.replace("data:image/png;base64,", "");
}
function insert(receiver,userName,content,type,headImg,socket) {
	mui.ajax(Website + '/app/chat/insert.do', {
		data: {
			senderId: localStorage.getItem("memberId"),
			receiverId: receiver,
			notifyTitle: userName,
			chatContent: content,
			chatType: type
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var flag = jsonobj.flag;
			if(flag) {
				var newNotify = jsonobj.newNotify;
				var chatRecord=jsonobj.chatRecord;
				//发送消息对象
				newNotify.type = type;
				newNotify.headImg = headImg; //发送者头像
				newNotify.chatRecord=chatRecord;
				socket.emit("message", newNotify);
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}
//收到消息
function receivMsg(obj) {
	//console.log("收到消息：" + JSON.stringify(obj));
	var Scanner_im = plus.webview.getWebviewById('im-chat' + obj.senderId);
	mui.fire(Scanner_im, 'receivMsg', obj);
	//console.log("该用户im-chat是否打开：" + Scanner_im);
	if(Scanner_im == null) { //该用户im-chat没打开
		var Scanner_setting = plus.webview.getWebviewById('tab-webview-subpage-setting.html');
		mui.fire(Scanner_setting, 'subNotifyCount', {
			count: -1
		});
		var Scanner_notify = plus.webview.getWebviewById('notify');
		obj.flag = false;
		mui.fire(Scanner_notify, 'receivMsg', obj);
	} else {
		updateReadState(obj);

	}
}

function updateReadState(obj) {
	mui.ajax(Website + '/app/notify/update.do', {
		data: {
			notifyId: obj.notifyId,
			readingState: 0
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data, status, xhr) {
			var jsonobj = eval('(' + data + ')');
			var flag = jsonobj.flag;
			obj.flag = flag;
			var Scanner_notify = plus.webview.getWebviewById('notify');
			mui.fire(Scanner_notify, 'receivMsg', obj);
		},
		error: function(xhr, type, errorThrown) {}
	});
}