function imgload(x, y) {
	document.getElementById(x).addEventListener('tap', function() {
		if(mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				title: y,
				cancel: "取消",
				buttons: a
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch(b.index) {
					case 0:
						break;
					case 1:
						getImage(x); /*拍照*/
						break;
					case 2:
						galleryImg(x); /*打开相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
}

function getImage(x) {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			if(x == "photo") {
				mui.openWindow({
					url: 'cropper.html',
					id: 'cropper.html',
					extras: {
						path: "file:///" + entry.fullPath,
						change: "cem"
					}
				});
				return;
			} else {
				var s = entry.toLocalURL() + "?version=" + new Date().getTime();
				uploadHead(s, x); //上传图片
			}
		}, function(e) {
			//console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		//console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	});
}

function uploadHead(imgPath, x) {
	//console.log("imgPath+" + imgPath);
	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		var imgData = getBase64Image(image);
		//console.log("imgData+" + imgData);
		putb64(imgData, x); //上传
	}
}
//将图片压缩转成base64
function getBase64Image(img) {
	var canvas = document.createElement('canvas');
	var width = img.width;
	var height = img.height;
	if(width > height) {
		height = Math.round(height *= 500 / width);
		width = 500;
	} else {
		if(height > 500) {
			width = Math.round(width *= 500 / height);
			height = 500;
		}
	}
	canvas.width = width; //设置新的图片的宽度
	canvas.height = height; //设置新的图片的高度
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); //绘图
	var dataURl = canvas.toDataURL("image/png", 1);
	return dataURl.replace("data:image/png;base64,", "");
}

function putb64(imgData, x) {
	var nwaiting = plus.nativeUI.showWaiting("上传中...", {
		textalign: "right",
		modal: true,
		back: "none",
		background: "rgba(0,0,0,0.7)",
		loading: {
			display: "inline"
		}
	});
	var contact = localStorage.getItem("memberName");
	mui.ajax(Website + '/app/user/uploadHeadImg.do', {
		data: {
			memberAvatar: imgData,
			memberId: localStorage.getItem("memberId"),
			memberName:contact
		},
		dataType: 'jsonp',
		type: 'post',
		timeout: 10000,
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			if(jsonobj.succ == true) {
				localStorage.setItem("memberAvatar", jsonobj.realPath);
				var WebsiteSplit = Website.split(":")[0]+":"+Website.split(":")[1];
				$("#" + x).attr("src",WebsiteSplit+jsonobj.realPath);
				var Scanner = plus.webview.getWebviewById('tab-webview-subpage-setting.html');
				mui.fire(Scanner, 'AddNewImg');
			} else {
				plus.ui.toast("修改失败");
			}
			nwaiting.close();
		},
		error: function(xhr, type, errorThrown) {
			nwaiting.close();
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("修改异常");
			}
		}
	});
}

function galleryImg(x) {
	plus.gallery.pick(function(a) {
		if(x == "photo") {
			mui.openWindow({
				url: 'cropper.html',
				id: 'cropper.html',
				extras: {
					path: a,
					change: "open"
				}
			});
			return;
		} else {
			plus.io.resolveLocalFileSystemURL(a, function(entry) {
				plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
					root.getFile("head.png", {}, function(file) {
						//文件已存在
						file.remove(function() {
							//console.log("file remove success");
							entry.copyTo(root, 'head.png', function(e) {
									var e = e.fullPath + "?version=" + new Date().getTime();
									uploadHead(e, x); /*上传图片*/
									//变更大图预览的src
									//目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现
								},
								function(e) {
									//console.log('copy image fail:' + e.message);
								});
						}, function() {
							//console.log("delete image fail:" + e.message);
						});
					}, function() {
						//文件不存在
						entry.copyTo(root, 'head.png', function(e) {
								var path = e.fullPath + "?version=" + new Date().getTime();
								uploadHead(path); /*上传图片*/
							},
							function(e) {
								//console.log('copy image fail:' + e.message);
							});
					});
				}, function(e) {
					//console.log("get _www folder fail");
				})
			}, function(e) {
				//console.log("读取拍照文件错误：" + e.message);
			});
		}
	}, function(error) {
		mui.toast("打开相册失败");
	});
};
